summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorranke <ranke@f247ebf9-aa24-0410-a698-f940e971ad2b>2009-04-18 20:28:50 +0000
committerranke <ranke@f247ebf9-aa24-0410-a698-f940e971ad2b>2009-04-18 20:28:50 +0000
commit98290b4e39f075c2c0163a833c138b8a6afacba2 (patch)
treefcde0cf724490fa44b3a2c24d851d6248106591d
parent444f62a1c795cdec630372f13b27a0c2c64cdb3f (diff)
"Backporting" scripts for lenny
git-svn-id: svn+ssh://stiller/home/schatz/reps/r-backports@54 f247ebf9-aa24-0410-a698-f940e971ad2b
-rw-r--r--backport_all_lenny.sh29
-rw-r--r--build_all_lenny.sh21
-rw-r--r--publish_r-base.sh6
-rw-r--r--r-base/backport_r-base_lenny.sh44
4 files changed, 97 insertions, 3 deletions
diff --git a/backport_all_lenny.sh b/backport_all_lenny.sh
new file mode 100644
index 0000000..b0608cd
--- /dev/null
+++ b/backport_all_lenny.sh
@@ -0,0 +1,29 @@
+#!/bin/bash
+
+# Script to automate "backporting" of packages for Debian if the
+# only difference to the upstream packages is the signature.
+
+# Author: Johannes Ranke <jranke@uni-bremen.de>
+
+export DEBEMAIL=jranke@uni-bremen.de
+export DEBFULLNAME="Johannes Ranke"
+
+text="Recompiled on lenny for CRAN"
+
+for i in rmatrix; do
+#for i in boot cluster codetools foreign kernsmooth lattice mgcv nlme rmatrix rodbc rpart survival vr littler; do
+ cd $i
+ rm -rf $i*
+ rm *.deb
+ apt-get source -t unstable $i
+ cd $i-*
+ version=`dpkg-parsechangelog | grep ^Version | cut -f2 -d " "`~lennycran.2.9.0
+ dch -b -v $version -D lenny-cran $text
+
+ sed -i '/^Build-Depends/s/r-base-dev (>= 2\..\..)/r-base-dev (>= 2.9.0-1~lennycran.0)/' debian/control
+ sed -i '/^Build-Depends-Indep/s/r-base-dev (>= 2\..\..)/r-base-dev (>= 2.9.0-1~lennycran.0)/' debian/control
+ dch -a "debian/control: adapt build dependencies on r-base-dev to current backport"
+
+ fakeroot dpkg-buildpackage -sa
+ cd ../..
+done
diff --git a/build_all_lenny.sh b/build_all_lenny.sh
new file mode 100644
index 0000000..979ebe6
--- /dev/null
+++ b/build_all_lenny.sh
@@ -0,0 +1,21 @@
+#!/bin/bash
+
+# Script to automate building of r-cran-* packages for Debian for architectures
+# other than the originally backported i386 packages.
+# This worked flawlessly for amd64 with the fresh R 2.8.1 backport to etch,
+# if an archive containing the backported source packages is the only deb-src
+# entry in /etc/apt/sources.list
+# Last Change: 2008 Dez 23
+
+# Author: Johannes Ranke <jranke@uni-bremen.de> and
+
+for i in rkward littler; do
+#for i in cluster foreign kernsmooth lattice mgcv nlme rodbc rpart survival vr littler rpy rkward; do
+ cd $i
+ rm -rf $i*
+ rm *.deb
+ apt-get source $i
+ cd $i-*
+ pdebuild
+ cd ../..
+done
diff --git a/publish_r-base.sh b/publish_r-base.sh
index 33d7e1d..577c377 100644
--- a/publish_r-base.sh
+++ b/publish_r-base.sh
@@ -3,9 +3,9 @@ rsync -avz \
--include "build_log*" \
--include "build_errors*" \
--include "interdiff_to_debian_sid" \
- --include "r-base_*etchcran*.diff.gz" \
- --include "r-base_*etchcran*.dsc" \
+ --include "r-base_*lennycran*.diff.gz" \
+ --include "r-base_*lennycran*.dsc" \
--include "*.deb" \
--exclude "*" \
r-base/ \
- chem:/home/ranke/svn/website/www/ranke/r-cran/etch-cran
+ ranke@chem:/home/ranke/svn/website/www/ranke/r-cran/lenny-cran
diff --git a/r-base/backport_r-base_lenny.sh b/r-base/backport_r-base_lenny.sh
new file mode 100644
index 0000000..c3fa215
--- /dev/null
+++ b/r-base/backport_r-base_lenny.sh
@@ -0,0 +1,44 @@
+#!/bin/bash
+
+# Script to automate building of r-base and for Debian stable
+# This script should be run as root, in one way or another.
+
+# Author: Vincent Goulet <vincent.goulet@act.ulaval.ca>
+# Modified for backporting to Debian stable by
+# Johannes Ranke <jranke@uni-bremen.de>
+
+export DEBEMAIL="Johannes Ranke <jranke@uni-bremen.de>"
+
+rm -rf r-base* r-base-core* r-mathlib*
+
+#apt-get update # needs real root privileges
+apt-get source -t unstable r-base
+cd r-base-*
+
+# Old version
+oldversion=`dpkg-parsechangelog | grep ^Version | cut -f2 -d " "`
+cranversion=$oldversion"~lennycran.0"
+
+# Add new version to changelog
+dch -v "${cranversion}" -D lenny-cran -b "Backport from Debian unstable to Debian lenny"
+
+# Reverts for lenny:
+#
+
+# Build package showing all messages and separating output to build and error logs
+(dpkg-buildpackage -tc | tee ../build_log_r-base_i386) 3>&1 1>&2 2>&3 | tee ../build_errors_r-base_i386
+if [ $? -ne 0 ]; then
+ exit 1
+fi
+
+cd ..
+
+# Create diff to Debian unstable
+interdiff -z *.diff.gz > interdiff_to_debian_sid
+
+# Sign logs and interdiff
+for i in interdiff_to_debian_sid build_log_r-base_i386 build_errors_r-base_i386
+do
+ gpg --clearsign $i
+ mv $i.asc $i
+done

Contact - Imprint